
From: Benjamin LaHaise <bcrl@kvack.org>

By making the offset argument of __mod_page_state an unsigned long instead
of unsigned, we can avoid forcing the compiler to sign extend a usually
constant argument.  This saves 1 instruction on x86-64.

Signed-off-by: Benjamin LaHaise <benjamin.c.lahaise@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/page-flags.h |    2 +-
 mm/page_alloc.c            |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/page-flags.h~__mod_page_state-pass-unsigned-long-instead-of-unsigned include/linux/page-flags.h
--- 25/include/linux/page-flags.h~__mod_page_state-pass-unsigned-long-instead-of-unsigned	2005-06-06 00:13:55.000000000 -0700
+++ 25-akpm/include/linux/page-flags.h	2005-06-06 00:13:55.000000000 -0700
@@ -136,7 +136,7 @@ struct page_state {
 extern void get_page_state(struct page_state *ret);
 extern void get_full_page_state(struct page_state *ret);
 extern unsigned long __read_page_state(unsigned offset);
-extern void __mod_page_state(unsigned offset, unsigned long delta);
+extern void __mod_page_state(unsigned long offset, unsigned long delta);
 
 #define read_page_state(member) \
 	__read_page_state(offsetof(struct page_state, member))
diff -puN mm/page_alloc.c~__mod_page_state-pass-unsigned-long-instead-of-unsigned mm/page_alloc.c
--- 25/mm/page_alloc.c~__mod_page_state-pass-unsigned-long-instead-of-unsigned	2005-06-06 00:13:55.000000000 -0700
+++ 25-akpm/mm/page_alloc.c	2005-06-06 00:13:55.000000000 -0700
@@ -1158,7 +1158,7 @@ unsigned long __read_page_state(unsigned
 	return ret;
 }
 
-void __mod_page_state(unsigned offset, unsigned long delta)
+void __mod_page_state(unsigned long offset, unsigned long delta)
 {
 	unsigned long flags;
 	void* ptr;
_
